<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<title> KeithleyElectrometers Tango Class User&lsquo;s Guide </title>
</head>
<body text="Black" bgcolor="White" link="Blue" vlink="Purple" alink="Red">
<hr>
<br>
<center><h2><u><b> KeithleyElectrometers Tango Cpp Class </b></u></h2></center>	<br><br>
	<ul>
		<font size="+1"><u><b> Contents : </b></u></font>
		<ul>
			<li> <a href="FullDocument.html#description">  Description  </a>
			<li> <a href="FullDocument.html#properties">   Properties   </a>
			<li> <a href="FullDocument.html#commands">     Commands     </a>
			<ul>
				<li> <a href="FullDocument.html#cmdState"> State </a>
				<li> <a href="FullDocument.html#cmdStatus"> Status </a>
				<li> <a href="FullDocument.html#cmdRangeUP"> RangeUP </a>
				<li> <a href="FullDocument.html#cmdRangeDOWN"> RangeDOWN </a>
				<li> <a href="FullDocument.html#cmdAutoRangeON"> AutoRangeON </a>
				<li> <a href="FullDocument.html#cmdAutoRangeOFF"> AutoRangeOFF </a>
				<li> <a href="FullDocument.html#cmdZeroCheckON"> ZeroCheckON </a>
				<li> <a href="FullDocument.html#cmdZeroCheckOFF"> ZeroCheckOFF </a>
				<li> <a href="FullDocument.html#cmdZeroCorrectON"> ZeroCorrectON </a>
				<li> <a href="FullDocument.html#cmdZeroCorrectOFF"> ZeroCorrectOFF </a>
				<li> <a href="FullDocument.html#cmdAutoZeroON"> AutoZeroON </a>
				<li> <a href="FullDocument.html#cmdAutoZeroOFF"> AutoZeroOFF </a>
				<li> <a href="FullDocument.html#cmdSetAmperMeterMode"> SetAmperMeterMode </a>
				<li> <a href="FullDocument.html#cmdSetVoltMeterMode"> SetVoltMeterMode </a>
				<li> <a href="FullDocument.html#cmdSetOhmMeterMode"> SetOhmMeterMode </a>
				<li> <a href="FullDocument.html#cmdSetCoulombMeterMode"> SetCoulombMeterMode </a>
				<li> <a href="FullDocument.html#cmdClearRegisters"> ClearRegisters </a>
				<li> <a href="FullDocument.html#cmdAverageStateON"> AverageStateON </a>
				<li> <a href="FullDocument.html#cmdAverageStateOFF"> AverageStateOFF </a>
				<li> <a href="FullDocument.html#cmdClearBuffer"> ClearBuffer </a>
				<li> <a href="FullDocument.html#cmdStart"> Start </a>
				<li> <a href="FullDocument.html#cmdReset"> Reset </a>
				<li> <a href="FullDocument.html#cmdAbort"> Abort </a>
				<li> <a href="FullDocument.html#cmdEnableSRQBufferFull"> EnableSRQBufferFull </a>
				<li> <a href="FullDocument.html#cmdDisableSRQBufferFull"> DisableSRQBufferFull </a>
				<li> <a href="FullDocument.html#cmdGetKeithleyConfig"> GetKeithleyConfig </a>
				<li> <a href="FullDocument.html#cmdGetRange"> GetRange </a>
				<li> <a href="FullDocument.html#cmdSetRange"> SetRange </a>
				<li> <a href="FullDocument.html#cmdGetMode"> GetMode </a>
				<li> <a href="FullDocument.html#cmdGetIntegrationTime"> GetIntegrationTime </a>
				<li> <a href="FullDocument.html#cmdSetIntegrationTime"> SetIntegrationTime </a>
				<li> <a href="FullDocument.html#cmdVSourceOutputON"> VSourceOutputON </a>
				<li> <a href="FullDocument.html#cmdVSourceOutputOFF"> VSourceOutputOFF </a>
				<li> <a href="FullDocument.html#cmdSaveConfiguration"> SaveConfiguration </a>
				<li> <a href="FullDocument.html#cmdRestoreConfiguration"> RestoreConfiguration </a>
			</ul>
			<li> <a href="FullDocument.html#attributes">   Attributes   </a>
			<ul>
				<li> <a href="FullDocument.html#attrvalue"> value </a>
				<li> <a href="FullDocument.html#attrrange"> range </a>
				<li> <a href="FullDocument.html#attrmode"> mode </a>
				<li> <a href="FullDocument.html#attrisAutoRangeOn"> isAutoRangeOn </a>
				<li> <a href="FullDocument.html#attrrangesList"> rangesList </a>
			</ul>
			<li> <a href="FullDocument.html#states">       States       </a>
		</ul>
	</ul>
	<hr>
<br><br>
<a name="description"> </a>
<ul>
	<br><br><br>
	<table border="0" width="100%">
		<Tr>
			<td> <font size="+1"><u><b> KeithleyElectrometers Class Identification : </b></u></font> </td>
			<td> <font size="+1"><u><b> KeithleyElectrometers Class Inheritance : </b></u></font> </td>
		</tr>
		<td><ul>
			<table border="0">
				<Tr>
					<td> Contact </td><td> : at synchrotron-soleil.fr - xavier.elattaoui</td>
				</tr>
				<tr>
					<td> Class Family </td><td> : MeasureInstruments
				</tr>
				<tr>
					<td> Platform </td><td> : Unix Like </td>
				</tr>
				<tr>
					<td> Bus </td><td> : GPIB </td>
				</tr>
				<tr>
					<td> Manufacturer </td><td> : Keithley </td>
				</tr>
				<tr>
					<td> Manufacturer ref.</td><td> :  </td>
				</tr>
			</Table>
		</ul></td>
		<td>
			<ul><li> <a href="http://www.esrf.eu/computing/cs/tango/tango_doc/kernel_doc/cpp_doc/" target="new"> Tango::DeviceImpl</a></li>
			<ul> <li> KeithleyElectrometers</li>
			<br>
			<br>
			<br>
			<br>
			<br>
		</td>
	</Table>
	<br><br><br>
	<font size="+1"><u><b> KeithleyElectrometers Class Description : </b></u></font>
	<br><br>
	<ul>
		This class allows you to control all Keithley electrometers<Br>
		( with either DDC or SCPI commands ) through a GPIB.<Br>
		<br> Supported types :<Br>
		<br> Keithley Electrometers : DDC types -> 485, 486, 487, 617, 6512<Br>
		<br> Keithley Electrometers : SCPI types -> 6485, 6487, 6514, 6517
		
		<Br>
		<center>
		<h1>
		Keithley Electrometer		<Br>
		Device Description 		<Br> <Br>
		KeithleyElectrometers Class	<Br>
		</h1>
		<b>
		Revision:  - Author: 
		</b>
		</center>
		
		
		<Center>
		This class allows you to control all Keithley electrometers
		( with either DDE or SCPI commands ) through a GPIB.
		<br> Supported types :
		<br> Keithley Electrometers : DDC types -> 485, 486, 487, 617, 6512
		<br> Keithley Electrometers : SCPI types -> 6485, 6487, 6514
		<Br>
		<Br>
		</Center>
		
		<!---  /*PROTECTED REGION ID(FullDocument.html) ENABLED START*/  --->
			<!--- Add your own documentation, pictures, links,.... --->
			
		<!---  /*PROTECTED REGION END*/  --->
		
	</ul>
</ul>
<br><br>
<hr>
<a name="properties"> </a>
<br><br><br>
<font size="+1"><u><b> KeithleyElectrometers  Properties : </b></u></font>
<br><br><br>
<font size="+1"><u><b> There is no class properties </b></u></font>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=4> <font size=+1> <center><b> Device Properties </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Description </b></center> </td>
		<td> <center><b> Type </b></center> </td>
		<td> <center><b> Default Value </b></center> </td>
	</tr>
	<tr>
		<td> CommunicationLinkName </td>
		<td> The name of the device which manage the communication. </td>
		<td> String </td>
		<td> WARN_no/communicationLinkName/defined <br> </td>
	</tr>
	<tr>
		<td> ElectrometerType </td>
		<td> The elctrometer type number.<Br>
			-> for 485 Keithley model : 485 </td>
		<td> int </td>
		<td> none </td>
	</tr>
	<tr>
		<td> UseMultiplexedChannels </td>
		<td> Set to true if a channel multiplexer is connected (such as a 6521 module option for 6517 Keithley device). </td>
		<td> boolean </td>
		<td> False <br> </td>
	</tr>
	<tr>
		<td> CreateDynamicVSourceAttribute </td>
		<td> Only for those models which support VSource output feature (as 6517). </td>
		<td> boolean </td>
		<td> none </td>
	</tr>
</table>
<br><br>
<hr>
<a name="commands"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=5> <font size=+1> <center><b> KeithleyElectrometers Class Commands </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Input type </b></center> </td>
		<td> <center><b> Output type </b></center> </td>
		<td> <center><b> Level </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> <a href="CmdState.html"> State </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STATE </td>
		<td> OPERATOR </td>
		<td> This command gets the device state (stored in its <i>device_state</i> data member) and returns it to the caller. </td>
	</tr>
	<tr>
		<td> <a href="CmdStatus.html"> Status </a> </td>
		<td> DEV_VOID </td>
		<td> CONST_DEV_STRING </td>
		<td> OPERATOR </td>
		<td> This command gets the device status (stored in its <i>device_status</i> data member) and returns it to the caller. </td>
	</tr>
	<tr>
		<td> <a href="CmdRangeUP.html"> RangeUP </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Up the range of the electrometer.<Br>
			Throw :<Br>
			- electrometer::ElectrometerException if the range limit is reached<Br>
			- Tango::DevFailed if the command cannot be performed </td>
	</tr>
	<tr>
		<td> <a href="CmdRangeDOWN.html"> RangeDOWN </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Down the range of the electrometer.<Br>
			Throw :<Br>
			- electrometer::ElectrometerException if the range is negative<Br>
			- Tango::DevFailed if the command cannot be performed </td>
	</tr>
	<tr>
		<td> <a href="CmdAutoRangeON.html"> AutoRangeON </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to switch the electrometer auto range ON </td>
	</tr>
	<tr>
		<td> <a href="CmdAutoRangeOFF.html"> AutoRangeOFF </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to switch the electrometer auto range OFF </td>
	</tr>
	<tr>
		<td> <a href="CmdZeroCheckON.html"> ZeroCheckON </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to switch the electrometer zero check ON </td>
	</tr>
	<tr>
		<td> <a href="CmdZeroCheckOFF.html"> ZeroCheckOFF </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to switch the electrometer zero check OFF </td>
	</tr>
	<tr>
		<td> <a href="CmdZeroCorrectON.html"> ZeroCorrectON </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to switch the electrometer zero correct ON </td>
	</tr>
	<tr>
		<td> <a href="CmdZeroCorrectOFF.html"> ZeroCorrectOFF </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to switch the electrometer zero correct OFF </td>
	</tr>
	<tr>
		<td> <a href="CmdAutoZeroON.html"> AutoZeroON </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> To help maintain stability and accuracy over time and changes in temperature, the<Br>
			Model 6487 periodically measures internal voltages corresponding to offsets (zero) and<Br>
			amplifier gains. These measurements are used in the algorithm to calculate the reading of<Br>
			the input signal. </td>
	</tr>
	<tr>
		<td> <a href="CmdAutoZeroOFF.html"> AutoZeroOFF </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> When autozero is disabled, the offset and gain measurements are not performed. This<Br>
			increases measurement speed up to three times. However, the zero and gain reference<Br>
			points can eventually drift resulting in inaccurate readings of the input signal. It is recommended<Br>
			that autozero only be disabled for short periods of time. </td>
	</tr>
	<tr>
		<td> <a href="CmdSetAmperMeterMode.html"> SetAmperMeterMode </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> If supported, this command switch the electrometer in AmperMeter mode </td>
	</tr>
	<tr>
		<td> <a href="CmdSetVoltMeterMode.html"> SetVoltMeterMode </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> If supported, this command switch the electrometer in VoltMeter mode. </td>
	</tr>
	<tr>
		<td> <a href="CmdSetOhmMeterMode.html"> SetOhmMeterMode </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> If supported, this command switch the electrometer in OhmMeter mode. </td>
	</tr>
	<tr>
		<td> <a href="CmdSetCoulombMeterMode.html"> SetCoulombMeterMode </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> If supported, this command switch the electrometer in Coulomb Meter mode. </td>
	</tr>
	<tr>
		<td> <a href="CmdClearRegisters.html"> ClearRegisters </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Clear all registers. </td>
	</tr>
	<tr>
		<td> <a href="CmdAverageStateON.html"> AverageStateON </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Enable digital filter </td>
	</tr>
	<tr>
		<td> <a href="CmdAverageStateOFF.html"> AverageStateOFF </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Disable digital filter </td>
	</tr>
	<tr>
		<td> <a href="CmdClearBuffer.html"> ClearBuffer </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> This command clears all data previously stored. </td>
	</tr>
	<tr>
		<td> <a href="CmdStart.html"> Start </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Trigger one or more reading(s) </td>
	</tr>
	<tr>
		<td> <a href="CmdReset.html"> Reset </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Reset to factory settings </td>
	</tr>
	<tr>
		<td> <a href="CmdAbort.html"> Abort </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> SCPI command only<Br>
			Cancels all operations started by Start command </td>
	</tr>
	<tr>
		<td> <a href="CmdEnableSRQBufferFull.html"> EnableSRQBufferFull </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Sets Buffer Full bit in the MEASUREMENT REGISTER EVENT.<Br>
			To know if the integration is finished, check :<Br>
			- if the attribute isDataAvailable is true<Br>
			or<Br>
			- if the device state is STANDBY </td>
	</tr>
	<tr>
		<td> <a href="CmdDisableSRQBufferFull.html"> DisableSRQBufferFull </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Resets all events in the device registers. </td>
	</tr>
	<tr>
		<td> <a href="CmdGetKeithleyConfig.html"> GetKeithleyConfig </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STRING </td>
		<td> OPERATOR </td>
		<td> Returns the Keithley DDC model configuration such as TriggerMode, mode, .... </td>
	</tr>
	<tr>
		<td> <a href="CmdGetRange.html"> GetRange </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STRING </td>
		<td> OPERATOR </td>
		<td> Returns the electrometer range value. </td>
	</tr>
	<tr>
		<td> <a href="CmdSetRange.html"> SetRange </a> </td>
		<td> DEV_USHORT </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Sets the new electrometer range value. </td>
	</tr>
	<tr>
		<td> <a href="CmdGetMode.html"> GetMode </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STRING </td>
		<td> OPERATOR </td>
		<td> Returns the electrometer mode. </td>
	</tr>
	<tr>
		<td> <a href="CmdGetIntegrationTime.html"> GetIntegrationTime </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_DOUBLE </td>
		<td> OPERATOR </td>
		<td> Returns the electrometer integration time (in seconds). </td>
	</tr>
	<tr>
		<td> <a href="CmdSetIntegrationTime.html"> SetIntegrationTime </a> </td>
		<td> DEV_DOUBLE </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Sets the new electrometer integration time value (in seconds). </td>
	</tr>
	<tr>
		<td> <a href="CmdVSourceOutputON.html"> VSourceOutputON </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Enables the V-SOURCE output </td>
	</tr>
	<tr>
		<td> <a href="CmdVSourceOutputOFF.html"> VSourceOutputOFF </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Disables the V-SOURCE output </td>
	</tr>
	<tr>
		<td> <a href="CmdSaveConfiguration.html"> SaveConfiguration </a> </td>
		<td> DEV_USHORT </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Save the Keithley configuration. </td>
	</tr>
	<tr>
		<td> <a href="CmdRestoreConfiguration.html"> RestoreConfiguration </a> </td>
		<td> DEV_USHORT </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Restores the saved Keithley configuration, stored at the specified index. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdState"> </a>
<br><br><br>
<font size="+1"><u><b> Command State : </b></u></font>
<ul>
	This command gets the device state (stored in its <i>device_state</i> data member) and returns it to the caller.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> State Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> none. </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_STATE </td>
		<td> State Code </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdStatus"> </a>
<br><br><br>
<font size="+1"><u><b> Command Status : </b></u></font>
<ul>
	This command gets the device status (stored in its <i>device_status</i> data member) and returns it to the caller.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> Status Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> none. </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::CONST_DEV_STRING </td>
		<td> Status description </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdRangeUP"> </a>
<br><br><br>
<font size="+1"><u><b> Command RangeUP : </b></u></font>
<ul>
	Up the range of the electrometer.<Br>
	Throw :<Br>
	- electrometer::ElectrometerException if the range limit is reached<Br>
	- Tango::DevFailed if the command cannot be performed
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> RangeUP Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdRangeDOWN"> </a>
<br><br><br>
<font size="+1"><u><b> Command RangeDOWN : </b></u></font>
<ul>
	Down the range of the electrometer.<Br>
	Throw :<Br>
	- electrometer::ElectrometerException if the range is negative<Br>
	- Tango::DevFailed if the command cannot be performed
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> RangeDOWN Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdAutoRangeON"> </a>
<br><br><br>
<font size="+1"><u><b> Command AutoRangeON : </b></u></font>
<ul>
	Command to switch the electrometer auto range ON
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> AutoRangeON Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdAutoRangeOFF"> </a>
<br><br><br>
<font size="+1"><u><b> Command AutoRangeOFF : </b></u></font>
<ul>
	Command to switch the electrometer auto range OFF
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> AutoRangeOFF Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdZeroCheckON"> </a>
<br><br><br>
<font size="+1"><u><b> Command ZeroCheckON : </b></u></font>
<ul>
	Command to switch the electrometer zero check ON
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> ZeroCheckON Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdZeroCheckOFF"> </a>
<br><br><br>
<font size="+1"><u><b> Command ZeroCheckOFF : </b></u></font>
<ul>
	Command to switch the electrometer zero check OFF
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> ZeroCheckOFF Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdZeroCorrectON"> </a>
<br><br><br>
<font size="+1"><u><b> Command ZeroCorrectON : </b></u></font>
<ul>
	Command to switch the electrometer zero correct ON
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> ZeroCorrectON Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdZeroCorrectOFF"> </a>
<br><br><br>
<font size="+1"><u><b> Command ZeroCorrectOFF : </b></u></font>
<ul>
	Command to switch the electrometer zero correct OFF
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> ZeroCorrectOFF Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdAutoZeroON"> </a>
<br><br><br>
<font size="+1"><u><b> Command AutoZeroON : </b></u></font>
<ul>
	To help maintain stability and accuracy over time and changes in temperature, the<Br>
	Model 6487 periodically measures internal voltages corresponding to offsets (zero) and<Br>
	amplifier gains. These measurements are used in the algorithm to calculate the reading of<Br>
	the input signal.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> AutoZeroON Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdAutoZeroOFF"> </a>
<br><br><br>
<font size="+1"><u><b> Command AutoZeroOFF : </b></u></font>
<ul>
	When autozero is disabled, the offset and gain measurements are not performed. This<Br>
	increases measurement speed up to three times. However, the zero and gain reference<Br>
	points can eventually drift resulting in inaccurate readings of the input signal. It is recommended<Br>
	that autozero only be disabled for short periods of time.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> AutoZeroOFF Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdSetAmperMeterMode"> </a>
<br><br><br>
<font size="+1"><u><b> Command SetAmperMeterMode : </b></u></font>
<ul>
	If supported, this command switch the electrometer in AmperMeter mode
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> SetAmperMeterMode Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdSetVoltMeterMode"> </a>
<br><br><br>
<font size="+1"><u><b> Command SetVoltMeterMode : </b></u></font>
<ul>
	If supported, this command switch the electrometer in VoltMeter mode.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> SetVoltMeterMode Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdSetOhmMeterMode"> </a>
<br><br><br>
<font size="+1"><u><b> Command SetOhmMeterMode : </b></u></font>
<ul>
	If supported, this command switch the electrometer in OhmMeter mode.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> SetOhmMeterMode Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdSetCoulombMeterMode"> </a>
<br><br><br>
<font size="+1"><u><b> Command SetCoulombMeterMode : </b></u></font>
<ul>
	If supported, this command switch the electrometer in Coulomb Meter mode.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> SetCoulombMeterMode Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdClearRegisters"> </a>
<br><br><br>
<font size="+1"><u><b> Command ClearRegisters : </b></u></font>
<ul>
	Clear all registers.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> ClearRegisters Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdAverageStateON"> </a>
<br><br><br>
<font size="+1"><u><b> Command AverageStateON : </b></u></font>
<ul>
	Enable digital filter
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> AverageStateON Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdAverageStateOFF"> </a>
<br><br><br>
<font size="+1"><u><b> Command AverageStateOFF : </b></u></font>
<ul>
	Disable digital filter
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> AverageStateOFF Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdClearBuffer"> </a>
<br><br><br>
<font size="+1"><u><b> Command ClearBuffer : </b></u></font>
<ul>
	This command clears all data previously stored.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> ClearBuffer Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdStart"> </a>
<br><br><br>
<font size="+1"><u><b> Command Start : </b></u></font>
<ul>
	Trigger one or more reading(s)
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> Start Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdReset"> </a>
<br><br><br>
<font size="+1"><u><b> Command Reset : </b></u></font>
<ul>
	Reset to factory settings
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> Reset Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdAbort"> </a>
<br><br><br>
<font size="+1"><u><b> Command Abort : </b></u></font>
<ul>
	SCPI command only<Br>
	Cancels all operations started by Start command
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> Abort Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdEnableSRQBufferFull"> </a>
<br><br><br>
<font size="+1"><u><b> Command EnableSRQBufferFull : </b></u></font>
<ul>
	Sets Buffer Full bit in the MEASUREMENT REGISTER EVENT.<Br>
	To know if the integration is finished, check :<Br>
	- if the attribute isDataAvailable is true<Br>
	or<Br>
	- if the device state is STANDBY
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> EnableSRQBufferFull Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdDisableSRQBufferFull"> </a>
<br><br><br>
<font size="+1"><u><b> Command DisableSRQBufferFull : </b></u></font>
<ul>
	Resets all events in the device registers.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> DisableSRQBufferFull Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command NOT allowed for </td>
		<td> <font size="-1">  <li> RUNNING </li> </font> </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdGetKeithleyConfig"> </a>
<br><br><br>
<font size="+1"><u><b> Command GetKeithleyConfig : </b></u></font>
<ul>
	Returns the Keithley DDC model configuration such as TriggerMode, mode, ....
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> GetKeithleyConfig Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_STRING </td>
		<td> DDC Keithley configuration </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdGetRange"> </a>
<br><br><br>
<font size="+1"><u><b> Command GetRange : </b></u></font>
<ul>
	Returns the electrometer range value.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> GetRange Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_STRING </td>
		<td> The electrometer range value </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdSetRange"> </a>
<br><br><br>
<font size="+1"><u><b> Command SetRange : </b></u></font>
<ul>
	Sets the new electrometer range value.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> SetRange Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_USHORT </td>
		<td> Index of the new range value to set (cf rangesList atrribute to get ranges indexes). </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdGetMode"> </a>
<br><br><br>
<font size="+1"><u><b> Command GetMode : </b></u></font>
<ul>
	Returns the electrometer mode.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> GetMode Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_STRING </td>
		<td> The electrometer mode </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdGetIntegrationTime"> </a>
<br><br><br>
<font size="+1"><u><b> Command GetIntegrationTime : </b></u></font>
<ul>
	Returns the electrometer integration time (in seconds).
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> GetIntegrationTime Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_DOUBLE </td>
		<td> the integration time value </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdSetIntegrationTime"> </a>
<br><br><br>
<font size="+1"><u><b> Command SetIntegrationTime : </b></u></font>
<ul>
	Sets the new electrometer integration time value (in seconds).
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> SetIntegrationTime Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_DOUBLE </td>
		<td> The integration time value (in seconds) </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdVSourceOutputON"> </a>
<br><br><br>
<font size="+1"><u><b> Command VSourceOutputON : </b></u></font>
<ul>
	Enables the V-SOURCE output
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> VSourceOutputON Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdVSourceOutputOFF"> </a>
<br><br><br>
<font size="+1"><u><b> Command VSourceOutputOFF : </b></u></font>
<ul>
	Disables the V-SOURCE output
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> VSourceOutputOFF Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdSaveConfiguration"> </a>
<br><br><br>
<font size="+1"><u><b> Command SaveConfiguration : </b></u></font>
<ul>
	Save the Keithley configuration.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> SaveConfiguration Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_USHORT </td>
		<td> Configuration index number </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdRestoreConfiguration"> </a>
<br><br><br>
<font size="+1"><u><b> Command RestoreConfiguration : </b></u></font>
<ul>
	Restores the saved Keithley configuration, stored at the specified index.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> RestoreConfiguration Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_USHORT </td>
		<td> Configuration index to restore </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br>
<hr>
<a name="attributes"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=8> <font size=+1> <center><b> KeithleyElectrometers Class Attributes </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Inherited </b></center> </td>
		<td> <center><b> Abstract </b></center> </td>
		<td> <center><b> Attr. type </b></center> </td>
		<td> <center><b> R/W type </b></center> </td>
		<td> <center><b> Data type </b></center> </td>
		<td> <center><b> Level </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> <a href="Attrvalue.html"> value </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Scalar </td>
		<td> READ </td>
		<td> Tango::DEV_DOUBLE </td>
		<td> OPERATOR </td>
		<td> Switch the selected mode it represents the value(s) returned in\n- amp if the AmpereMeter function is selected\n- volt in Volt Meter mode\n- ohm in Ohm Meter mode\n- coulomb in Coulomb Meter mode </td>
	</tr>
	<tr>
		<td> <a href="Attrrange.html"> range </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Scalar </td>
		<td> READ_WRITE </td>
		<td> Tango::DEV_DOUBLE </td>
		<td> OPERATOR </td>
		<td> Range of the selected mode </td>
	</tr>
	<tr>
		<td> <a href="Attrmode.html"> mode </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Scalar </td>
		<td> READ </td>
		<td> Tango::DEV_STRING </td>
		<td> OPERATOR </td>
		<td> The selected mode </td>
	</tr>
	<tr>
		<td> <a href="AttrisAutoRangeOn.html"> isAutoRangeOn </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Scalar </td>
		<td> READ </td>
		<td> Tango::DEV_BOOLEAN </td>
		<td> OPERATOR </td>
		<td> True if auto range ON. </td>
	</tr>
	<tr>
		<td> <a href="AttrrangesList.html"> rangesList </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Spectrum </td>
		<td> READ </td>
		<td> Tango::DEV_STRING </td>
		<td> OPERATOR </td>
		<td> Ranges list of the selected mode </td>
	</tr>
</table>
<br><br>
<hr>
<br><br>
<font size="+1"><u><b> There is no dynamic attribute defined. </b></u></font>
<br><br>
<hr>
<a name="attrvalue"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute value : </b></u></font>
<ul>
	Switch the selected mode it represents the value(s) returned in\n- amp if the AmpereMeter function is selected\n- volt in Volt Meter mode\n- ohm in Ohm Meter mode\n- coulomb in Coulomb Meter mode
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Scalar </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_DOUBLE </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> Not polled </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read NOT allowed for </td>
					<td> <font size="-1">  <li> RUNNING </li>  <li> FAULT </li>  <li> ALARM </li> </font> </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> value </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td> %e </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> Not set </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<a name="attrrange"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute range : </b></u></font>
<ul>
	Range of the selected mode
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Scalar </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ_WRITE </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_DOUBLE </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> Not polled </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
				<tr>
					<td> Write allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> range </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td> %4.2e </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<a name="attrmode"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute mode : </b></u></font>
<ul>
	The selected mode
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Scalar </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_STRING </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> Not polled </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> mode </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td> %s </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<a name="attrisAutoRangeOn"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute isAutoRangeOn : </b></u></font>
<ul>
	True if auto range ON.
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Scalar </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_BOOLEAN </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> Not polled </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> is autorange on </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td> %d </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<a name="attrrangesList"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute rangesList : </b></u></font>
<ul>
	Ranges list of the selected mode
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Spectrum  ( 64 ) </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_STRING </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> Not polled </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> ranges list </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td> %s </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<br><br>
<hr>
<a name="states"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=2> <font size=+1> <center><b> KeithleyElectrometers Class States </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> ON </td>
		<td> Device is ready </td>
	</tr>
	<tr>
		<td> RUNNING </td>
		<td> Device performs an integration </td>
	</tr>
	<tr>
		<td> STANDBY </td>
		<td> The integration is stoped </td>
	</tr>
	<tr>
		<td> FAULT </td>
		<td> Communication protocol error </td>
	</tr>
	<tr>
		<td> ALARM </td>
		<td> Device is on error </td>
	</tr>
</table>
</body>
</html>
